Gets value at index. [:running:] [:vhs:] [:package:] [:moon:] [:ledger:]
> Alternatives: [remove], [remove$], [removePath$].<br>
> Similar: [hasPath], [getPath], [setPath$], [removePath$].<br>
> Similar: [get], [set], [remove].<br>
> This is part of package [extra-array].

[extra-array]: https://www.npmjs.com/package/extra-array

```javascript
array.get(x, i);
// x: an array
// i: index (-ve: from right)
```

```javascript
const array = require('extra-array');

var x = [[2, 4], 6, 8];
array.removePath$(x, [1], 60);
// [ [ 2, 4 ], 8 ]

x;
// [ [ 2, 4 ], 8 ]

array.removePath$(x, [0, 1], 40);
// [ [ 2 ], 8 ]

array.removePath$(x, [0, 1, 2], 100);
// [ [ 2 ], 8 ] (path not present, no effect)
```

### references

- [ArrayList.get: Java](https://docs.oracle.com/javase/7/docs/api/java/util/ArrayList.html#get(int))
- [_.nth: lodash](https://lodash.com/docs/4.17.15#nth)
- [Array.at: sugarjs](https://sugarjs.com/docs/#/Array/at)

