'use strict';

/**
 * Checks if value is array.
 * @param v value
 */
function is(v) {
    return Array.isArray(v);
}

/**
 * Gets last value.
 * @param x an array
 * @param vd default value
 */
function last(x, vd) {
    return x.length > 0 ? x[x.length - 1] : vd;
}

/**
 * Gets value at path in a nested array.
 * @param x a nested array
 * @param p path
 */
function getPath(x, p) {
    for (var i of p)
        x = is(x) ? x[i] : undefined;
    return x;
}

/**
 * Removes value at path in a nested array.
 * @param x a nested array (updated)
 * @param p path
 * @returns x
 */
function removePath$(x, p) {
    var y = getPath(x, p.slice(0, -1));
    if (is(y))
        y.splice(last(p), 1);
    return x;
}

module.exports = removePath$;
